/*
** Module   : MessageReturnValue.java
** Abstract : simple container for the response to a message stmt
**
** Copyright (c) 2006, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -T- --JPRM-- ----------------Description-----------------
** 001 GES 20060623 NEW   @27557 Created initial version which just contains
**                               a BaseDataType and an int key code. These
**                               are made public to keep the interface
**                               simple.
*/

package com.goldencode.p2j.ui;

import java.io.Serializable;
import com.goldencode.p2j.util.*;

/**
 * Contains a <code>BaseDataType</code> and an <code>int</code> key code.
 * These are made public to keep the interface simple.  This class provides
 * a very simple container used to return data from the <code>MESSAGE</code>
 * language statement.
 */
public class MessageReturnValue
implements Serializable
{
   /**
    * The variable that was edited or <code>null</code> if no edit occurred.
    */
   public BaseDataType var = null;
   
   /**
    * The key code of the last key pressed (during any variable set/update
    * or during a pause) or -1 if no key was pressed.
    */
   public int keycode = -1;

   /**
    * The formatted variable, used to send it to the stream, if any. This will
    * not be sent back to the server.
    */
   public transient String formattedVar = null;
}

